! This file is part of FD4: Four-Dimensional Distributed Dynamic Data structures
!  
! Copyright 2010-2015 Matthias Lieber, ZIH, TU Dresden, Germany
! matthias.lieber@tu-dresden.de
!  
! FD4 is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!  
! FD4 is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!  
! You should have received a copy of the GNU General Public License
! along with FD4.  If not, see <http://www.gnu.org/licenses/>.

!--------------------------------------------------------------!
!                                                              !
!                    Kind Type Definitions                     !
!                                                              !
!--------------------------------------------------------------!

!! Definition of kind type parameters for integer and real variables.
!!
!! $i_k and $r_k are the default kind types for integer and real.
!!
!! @author Matthias Lieber
module kinds_mod

  public

  integer, parameter :: i4k = selected_int_kind(9)    !! 4 byte integer
  integer, parameter :: i8k = selected_int_kind(18)   !! 8 byte integer
  integer, parameter :: i_k = i4k                     !! default integer kind

  integer, parameter :: r4k = selected_real_kind(6)   !! 4 byte real (single precision)
  integer, parameter :: r8k = selected_real_kind(12)  !! 8 byte real (double precision)
  integer, parameter :: r_k = r8k                     !! default real kind
  
end module kinds_mod
