! This file is part of FD4: Four-Dimensional Distributed Dynamic Data structures
!  
! Copyright 2010-2015 Matthias Lieber, ZIH, TU Dresden, Germany
! matthias.lieber@tu-dresden.de
!  
! FD4 is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!  
! FD4 is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!  
! You should have received a copy of the GNU General Public License
! along with FD4.  If not, see <http://www.gnu.org/licenses/>.

! v5dF.h - modified v5df.h of vis5d+-1.2.1 for use with Fortran 90

! Vis5D system for visualizing five dimensional gridded data sets.
! Copyright (C) 1990 - 2000 Bill Hibbard, Johan Kellum, Brian Paul,
! Dave Santek, and Andre Battaiola.

! Include file for using v5d functions from FORTRAN programs


! Function prototypes.  See the README file for details.  These are
! the functions you'll want to use for writing v5d file converters.

      integer, external :: v5dcreate

      !integer, external ::  v5dcreatesimple

      integer, external ::  v5dwrite

      !integer, external ::  v5dmcfile

      integer, external ::  v5dclose


! 5-D grid limits, must match those in v5d.h!!!
      integer MAXVARS, MAXTIMES, MAXROWS, MAXCOLUMNS, MAXLEVELS

      parameter (MAXVARS=200)
      parameter (MAXTIMES=400)
      parameter (MAXROWS=600)
      parameter (MAXCOLUMNS=600)
      parameter (MAXLEVELS=100)

! Missing values
      real MISSING
      integer IMISSING

      parameter (MISSING=1.0E35)
      parameter (IMISSING=-987654)

